Bug 19290 - [OGLC]oglconform/blend-separate.c slow (glDrawPixels(GL_DEPTH_COMPONENT) fallback)
Summary: [OGLC]oglconform/blend-separate.c slow (glDrawPixels(GL_DEPTH_COMPONENT) fall...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: low trivial
Assignee: Eric Anholt
QA Contact: fangxun
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: intel-3d-release
  Show dependency treegraph
 
Reported: 2008-12-25 22:33 UTC by liuhaien
Modified: 2011-06-08 01:57 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (44.46 KB, text/plain)
2008-12-25 22:33 UTC, liuhaien
Details
xorg conf file (3.76 KB, text/plain)
2008-12-25 22:34 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2008-12-25 22:33:44 UTC
Created attachment 21484 [details]
xorg.0.log

System Environment:
--------------------------
Libdrm: (master)c34539e8bb5568b1d6059abf139dd08e07e84eea
Mesa: (intel-2008-q4)88f4b17555be36f3023f74a1b9c792294f09912b
Xorg: 7.2
Xserver: (server-1.6-branch)32e81074b967716865aef08b66ec29caf0fec2c5
Xf86_video_intel: (xf86-video-intel-2.6-branch)
                 83f3c376b5942e134047a220e6e5f2432ffc492c


Bug detailed description:
-------------------------
startx, then run oglconform/blend-separate, it will take more than 1 hour. but when run it with software rendering ,it can work rapidly(about 1 minutes).
Reproduce steps:
----------------
1.xinit&
2. run oglconform/blend-separate
Comment 1 liuhaien 2008-12-25 22:34:12 UTC
Created attachment 21485 [details]
xorg conf file
Comment 2 liuhaien 2008-12-25 22:50:31 UTC
it happens on all platforms, and the final result is failure:
Total Passed : 2
Total Failed : 1
Comment 3 Eric Anholt 2008-12-31 11:34:47 UTC
meta-drawpixels-depth of my mesa tree has the code I'm working on for this.
Comment 4 liuhaien 2009-03-22 22:15:37 UTC
still exists against:
Libdrm:         (master)00d8e960ca665b7f0528438331f4d0ae77fbb4cc
Mesa:(mesa_7_4_branch)b009a32bf428192fef2dc4787d25f022a472854f          
Xserver:        (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:       (2.7)e2465249a90b9aefe6d7a96eb56a51fde54698a0
Kernel:       (for-airlied)a2e785c32b886dd7f0289d1cf15fc14e9c81bc01
Comment 5 Eric Anholt 2011-06-07 11:39:29 UTC
commit 1fc713a1e78278e7b62bd5d8e11ac5c0093677bf
Author: Brian Paul <brianp@vmware.com>
Date:   Mon Aug 31 19:28:11 2009 -0600

    mesa: implement depth/stencil formats for meta glDrawPixels
Comment 6 Gordon Jin 2011-06-07 23:23:57 UTC
Xun, can you verify?
Comment 7 fangxun 2011-06-08 01:57:26 UTC
Verified on Pineview with mesa (master)ef59049c5242a1be7fa59a182d342191185dd62b and Mesa(7.10)ca9ab0a6a1e469ed418a2f71a4c4843226d657d3.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.